<?php
  header('Content-Type: application/json');

  if(isset($_POST["accion"])){
    include('../../php/conn.php');

    $usuario = $_POST["usuario"];
    $clave = $_POST["clave"];

    if (strlen(trim($usuario)) == 0){
      $respuesta = array('status' => 2, 'mensaje' => 'Ingrese un usuario' );

      echo json_encode($respuesta);

      return;
    }

    if (strlen(trim($clave)) == 0){
      $respuesta = array('status' => 2, 'mensaje' => 'Ingrese una contraseña' );

      echo json_encode($respuesta);

      return;
    }

    if($_POST["accion"] == "iniciar"){
      $q_login = "SELECT  cod_usuario,
                          u.cod_rol,
                          nom_rol,
                          nom_persona,
                          ape_persona,
                          est_usuario
                    FROM  tb_usuario AS u
                          INNER JOIN tb_rol AS r ON u.cod_rol = r.cod_rol
                   WHERE  usu_usuario = '".$usuario."'
                     AND  pas_usuario = '".md5($clave)."'";

      if ($resultado = mysqli_query($enlace, $q_login)) {
        if (mysqli_num_rows($resultado) > 0) {
          while ($row = mysqli_fetch_assoc($resultado)) {
            if ($row["est_usuario"] == "1"){
              $auth = array(
                'id' => $row["cod_usuario"], 
                'nombre' => $row["nom_persona"]." ".$row["ape_persona"], 
                'idRol' => $row["cod_rol"], 
                'rol' => $row["nom_rol"], 
                'usu_usuario' => $usuario
              );

              $respuesta = array('status' => 1, 'mensaje' => 'El inicio de sesión fue exitoso.', 'auth' => $auth );

              echo json_encode($respuesta);
            }
            else{
              $respuesta = array('status' => 2, 'mensaje' => 'El usuario esta inactivo.' );

              echo json_encode($respuesta);
            }
          }
        }
        else{
          // Busca en la tabla de clientes
            $q_login = "SELECT UC.Id,
                               UC.Razon_Social,
                               R.cod_rol,
                               R.nom_rol
                          FROM tb_usuario_clientes UC
                               INNER JOIN tb_rol R ON UC.cod_rol = R.cod_rol
                         WHERE UC.Numero_RUC = '".$usuario."'
                           AND UC.Clave = '".md5($clave)."'";

            if ($resultado = mysqli_query($enlace, $q_login)){
              if (mysqli_num_rows($resultado) > 0) {
                while($row = mysqli_fetch_array($resultado)){
                  $auth = array(
                    'id' => $row["Id"],
                    'nombre' => $row["Razon_Social"],
                    'idRol' => $row["cod_rol"], 
                    'rol' => $row["nom_rol"], 
                    'usu_usuario' => $usuario
                  );

                  $respuesta = array('status' => 1, 'mensaje' => 'El inicio de sesión fue exitoso.', 'auth' => $auth );

                  echo json_encode($respuesta);
                }
              }
              else{
                $respuesta = array('status' => 2, 'mensaje' => 'Usuario o clave incorrectos.' );

                echo json_encode($respuesta);
              }
            }
        }

        mysqli_free_result($resultado);
      }
    }
    else{
    $respuesta = array('status' => 2, 'mensaje' => 'No existe variable POST iniciar.' );
      echo json_encode($respuesta);
    }
  }
  elseif(isset($_GET["accion"])){
    include('../../php/conn.php');
    if($_GET["accion"]=="listarencuestas"){

      // Cambiando el idioma del servidor
      $query = "SET NAMES 'utf8'";

      if ($res1 = mysqli_query($enlace, $query)) {
      }

      $query = "SET NAMES 'utf8'";

      if ($res2 = mysqli_query($enlacehost, $query)) {
      }

      $r = array();
      // if ($resultado = mysqli_query($enlace, "SELECT surveyls_survey_id, surveyls_title FROM lime_surveys_languagesettings WHERE surveyls_survey_id IN (SELECT cod_survey FROM tb_usuario_survey WHERE cod_usuario=".$_GET["c"]." GROUP BY cod_survey);")) {

      // Obtiene las encuestas asignadas al usuario -----------
      // ------------------------------------------------------
      $in = "";

      if ($res = mysqli_query($enlace, "SELECT cod_survey FROM tb_usuario_survey WHERE cod_usuario = '".$_GET["c"]."' GROUP BY cod_survey"))
      {
        while($row = mysqli_fetch_array($res))
        {
          $in .= "'".$row["cod_survey"]."', ";
        }

        $in = substr($in, 0, -2);
      }

      if (strlen($in) == 0)
      {
        $in = "''";
      }
      // ------------------------------------------------------

      $query = "SELECT surveyls_survey_id, surveyls_title FROM lime_surveys_languagesettings WHERE surveyls_survey_id IN (".$in.")";

      if ($resultado = mysqli_query($enlacehost, $query)) {
        if (mysqli_num_rows($resultado) > 0)
        {
          while($row = mysqli_fetch_assoc($resultado)) {
            array_push($r, $row);
        }
      }
        echo json_encode(array('filas'=>$r));
        mysqli_free_result($resultado);
      }
    }
    elseif($_GET["accion"]=="obtenerenlace"){
      $survey = $_GET["codigo"];
      $usuario = $_GET["usuario"];
      $token = "";
      $lang = "";

      // Obtiene los tokens asignados al usuario --------------
      // ------------------------------------------------------
      $in = "";

      if ($res = mysqli_query($enlace, "SELECT cod_token FROM tb_usuario_survey WHERE cod_survey='".$survey."' AND cod_usuario='".$usuario."'"))
      {
        while($row = mysqli_fetch_array($res))
        {
          $in .= "'".$row["cod_token"]."', ";
        }

        $in = substr($in, 0, -2);
      }

      if (strlen($in) == 0)
      {
        $in = "''";
      }
      // ------------------------------------------------------

      if ($resultado = mysqli_query($enlacehost, "SELECT token, language FROM lime_tokens_".$survey." WHERE completed='N' AND tid IN (".$in.")  ORDER BY tid LIMIT 1")) {
        if (mysqli_num_rows($resultado) > 0) {
          while($row = mysqli_fetch_assoc($resultado)) {
            $token = $row["token"];
            $lang = $row["language"];
          }
        }
      }

      if ($survey == 215671 || $survey == 454723 || $survey == 543942 || $survey == 627466 || $survey == 454124 || $survey == 214598){
        // La nomenclutara de la URL cambió de forma automática - 04/04/2019 MAX
        // echo $dominio."/index.php/survey/index/sid/".$survey."/token/".$token."/lang/".$lang."/newtest/Y";
        echo $dominio."index.php/".$survey."?token=".$token."&lang=".$lang."&newtest=Y";
      }
      else{
        echo $dominio."/index.php/".$survey."?newtest=Y&lang=es-MX";
      }

      // Guarda la ubicación del GPS
        $latitud = $_GET["latitud"];
        $longitud = $_GET["longitud"];

        if (mysqli_query($enlace, "INSERT INTO tb_ubicacion (usu_ubicacion, lat_ubicacion, lon_ubicacion, cod_encuesta, token) VALUES ('".$usuario ."', '".$latitud."', '".$longitud."', '".$survey."', '".$token."');")) {
          //echo "OK";
        }
    }
    elseif($_GET["accion"]=="insertarubicacion"){
      $usuario = $_GET["usuario"];
      $latitud = $_GET["latitud"];
      $longitud = $_GET["longitud"];
      $encuesta = $_GET["encuesta"];

      echo "OK";

      // if (mysqli_query($enlace, "INSERT INTO tb_ubicacion (usu_ubicacion, lat_ubicacion, lon_ubicacion, cod_encuesta) VALUES ('".$usuario ."', '".$latitud."', '".$longitud ."', '".$encuesta ."');")) {
      //   echo "OK";
      // }
      // else{
      //   echo "NO";
      // }
    }
  }
?>